Packages - Freedom Issue #972

TeXLive freedom verification
2016-03-24 08:49 AM - Anonymous

Status: forwarded upstream % Done: 47%
Priority: freedom issue

Assignee:

Category:

Description

This page describes possible incompatibilities of TeXLive packages included in Parabola GNU/Linux-libre with the Free System
Distribution Guidelines.

Everything below is based on files included in the source archives listed in the PKGBUILDs.
The word "package" refers here to a single TeXLive package, many of which are in Arch packages like texlive-core.

This list assumes that the source archives are the real source of the package and that they include all information needed to
determine if a package is free. Both these assumptions are incorrect, so more packages will be listed as nonfree.

A package being listed in any group other than "No problems" doesn't mean that it doesn't have other problems — any of these
problems requires removing the package or replacing it with a different source, possibly with other problems.

The task
1. Check for each source package if it's free.
2. Remove/replace nonfree packages.
3. Remove/replace packages depending on them.
4. Package the rest with appropriate sources.
Packages checked

=== texlive-core-2010.22154-1 ===

== Problems ====

Parabola source package doesn't contain sources for files generated e.g. by stripping comments from dtx files using docstrip. It's not
considered acceptable in other free software projects. "All packages checked have these sources on CTAN, it's just a problem of
Arch/Parabola packaging."

12many
amsmath
amstex
avantgar
babelbib
babel

bidi
binomexp
booktabs
bosisio
caption
ccfonts
colortbl
concmath
crop
cslatex
ctable
dvipdfmx-def
emp
eqgnarray
€s0-pic
euenc
http://www.gnu.org/distros/free-system-distribution-guidelines.html
http://www.gnu.org/distros/free-system-distribution-guidelines.html
http://lists.gnu.org/archive/html/emacs-devel/2011-07/msg01184.html
http://lists.gnu.org/archive/html/emacs-devel/2011-07/msg01184.html

euler

euro
Requires distributing with source.
expl3
expressg
extpfeil
extsizes
faktor
fancyref
fancyvrb
feynmf
fix2col
fixlatvian
float
fontinst
fontspec
frontespizio
geometry
german
gmp
graphics
hyperref
ifluatex
index
ionumbers
itnumpar
kastrup
latex
layaureo
listings-ext
listings
lithuanian
luacode
luainputenc
luamplib
luaotfload
luasseq
luatexbase
luatextra
mathcomp
mattens
mdwtools
memoir

¢ metalogo

Or unnamed license not included in the package.

anysize
automata
bibleref-german
bibtex8
cmextra
cm-super
commath
concrete
context-gnuplot
context
csbulletin
csplain

cweb

dviincl

dvips

enctex

etex

euro-ce
eurofont
eurosym
extarrows
featpost
fontwrap
fp
frenchle
garrigues
® genmisc
¢ harvardkyoto
e jknapltx

Various incorrect names of GNU GPL version 2.
e imn
e kalender

Not English.
¢ |atexconfig
¢ Imextra
¢ |ualibs
* mafr
¢ makeindex
* marvosym
[ ]
[ ]

mathspec
metaobj

LPPL requires including descriptions of changes and a reference to unmodified source if distributing package modified by e.g.
removing some files. The easier way for us to avoid this problem would be to include the whole source.

® ec
Also includes files based on pl fonts which are currently probably nonfree.
e Im

e arabxetex
e bbcard
One is public domain, one no license, two free.
e cmap
fontools
e germbib
e glyphlist
e gustlib

e charter
In bchb8a.afm:

Comment Copyright 1987-1990 as an unpublished work by Bitstream Inc., Cambridge, MA.
Comment All rights reserved

Comment Confidential and proprietary to Bitstream Inc.

Comment Bitstream is a registered trademark of Bitstream Inc.

e fontname
Mostly lists of nonfree font names.

bookman
courier
helvetic
metapost

Affected packages:
http://www.latex-project.org/lppl/lppl-1-3c.html

cc-pl
* Cs
Includes files based on pl, also has files without licenses or just with copyright notices.
* ec
* mex

The following is stated in TeX macro packages there:
This macro file belongs to the public domain
under the conditions specified by the author of TeX:
‘"Macro files like PLAIN.TEX should not be changed in any way,
except with respect to preloaded fonts,

unless the changes are authorized by the authors of the macros.''

Donald E. Knuth

o o0 o° o° d° d° o° o° o° o

For details see MEXINFO.ENG or MEXINFO.POL.
It's clearly nonfree and different that what Knuth states in plain.tex:
Unlimited copying and redistribution of this file are permitted as long

as this file is not modified. Modifications are permitted, but only if
the resulting file is not named plain.tex.

o° o° o

MEXINFO.ENG and MEXING.POL files are not included. CTAN has it in http:/mirrors.ctan.org/language/polish/mex105.zip. This is
the relevant fragment of MEXINFO.ENG:

The MeX package belongs to the public domain.

The MeX package may only be distributed in unchanged and complete form
including the files MEXINFO.ENG and MEXINFO.POL.

All the files constituting the MeX package are listed in the chapters
""Files'' and " PL Fonts'' below.

Anyone who distributes the MeX package must obey one of the following
rules:
1. there is no charge for distribution
or 2. the payment for the distribution of one diskette
is not greater than the price of this diskette;
in this case the distributor must make clear
that this is a handling fee, not a license fee or purchase fee.

This package is distributed with no warranty of any sort.
The authors accept no responsibility for the consequences of using this
software.

Each user must comply with all conditions specified by D. E. Knuth
regarding the use of TeX, METAFONT and related software.

(Not quoting the file lists, since we already don't include MEXINFO.ENG.)

Karl Berry wrote that he will talk to the authors about this license.

e https://fedoraproject.org/wiki/Talk:Features/TeXLivel egalAudit#context-account - GPLv3.2B
o context-account
o context-algorithmic
o context-fixme
o context-games
http://mirrors.ctan.org/language/polish/mex105.zip
http://lists.gnu.org/archive/html/gnu-linux-libre/2011-08/msg00008.html
https://fedoraproject.org/wiki/Talk:Features/TeXLiveLegalAudit#context-account_-_GPLv3.2B

o context-letter
o context-ruby

In some jurisdictions works cannot be put into the public domain by authors, so checking if these packages were made there or if
they include a free license is needed.

context-lettrine

context (only some files)
epsf

epsincl

frietter

hatching

latexmp

ltxmisc

¢ metapost

e context-filter
e context-mathsets
e context-vim

Packages not including GPL, LGPL or LPPL are not listed here.

e de-macro
Academic Free License 2.1, free.

==== No problems ====

At least most of these don't include the license if it's GPL or LPPL. License compatibility wasn't checked. File renaming on
modification requirement is not checked.

Some of these packages include hyphenation patterns or fonts without source, these files can be understood and modified, on their
own, so they are free.

e accfonts

e aeguill

ae

amscls

amsfonts

beamer

bib-fr
bibleref-french
bibtex
blockdraw_mp
boldtensors
bpolynomial
bundledoc

carlisle

cite

cm

context-bnf
context-chromato
context-construction-plan
context-degrade
context-french
context-fullpage
context-lilypond
context-simplefonts
context-simpleslides
e context-typearea

e context-typescripts
dehyph-exptl

2024-04-28 5/11



http://www.gnu.org/licenses/license-list.html#AcademicFreeLicense
http://lists.gnu.org/archive/html/gnu-linux-libre/2011-08/msg00008.html
http://lists.gnu.org/archive/html/gnu-linux-libre/2011-08/msg00008.html

e drv

e dviasm
dvipsconfig
epstopdf
etex-pkg
eurosans
exteps
fancybox
fancyhdr
findhyph
fpl
fragmaster
germkorr
hyphenex
hyph-utf8
iftex

ifxetex
installfont
isomath
koma-script
latex2man
latexdiff
latex-fonts
latexmk
lua-alt-getopt
mathpazo
metafont
metago
metaplot
metauml

==== TO CheCk ====

mflogo.tar.xz
mfnfss.tar.xz
mfpic4ode.tar.xz
mfpic.tar.xz
mfware.tar.xz
mhequ.tar.xz
mh.tar.xz
microtype.tar.xz
misc.tar.xz
mkjobtexmf.tar.xz
mp3d.tar.xz
mpattern.tar.xz
mpgraphics.tar.xz
mptopdf.tar.xz
ms.tar.xz
multido.tar.xz
multiobjective.tar.xz
mwcls.tar.xz
natbib.tar.xz
nath.tar.xz
ncntrsbk.tar.xz
ntgclass.tar.xz
oberdiek.tar.xz
ordinalpt.tar.xz
ot-tableau.tar.xz
oubraces.tar.xz
palatino.tar.xz
parskip.tar.xz
path.tar.xz
pdfcrop.tar.xz
pdfjam.tar.xz
pdfpages.tar.xz
pdftex-def.tar.xz
pgf.tar.xz

2024-04-28

6/11




philokalia.tar.xz
piechartmp.tar.xz
pkfix-helper.tar.xz
pkfix.tar.xz
plain.tar.xz
pl.tar.xz
polski.tar.xz
polyglossia.tar.xz
powerdot.tar.xz
proba.tar.xz
psfrag.tar.xz
pslatex.tar.xz
psnfss.tar.xz
pspicture.tar.xz
purifyeps.tar.xz
pxfonts.tar.xz
gpxqtx.tar.xz
rcs.tar.xz
realscripts.tar.xz
rec-thy.tar.xz
roex.tar.xz
rotating.tar.xz
rsfs.tar.xz
ruhyphen.tar.xz
r_und_s.tar.xz
sansmath.tar.xz
section.tar.xz
seminar.tar.xz
sepnum.tar.xz
setspace.tar.xz
shuffle.tar.xz
slideshow.tar.xz
spanish-mx.tar.xz
splines.tar.xz
statex2.tar.xz
statex.tar.xz
stmaryrd.tar.xz
sty2dtx.tar.xz
suanpan.tar.xz
subfig.tar.xz
subsupscripts.tar.xz
susy.tar.xz
syllogism.tar.xz
symbol.tar.xz
synproof.tar.xz
tablor.tar.xz
tabvar.tar.xz
tap.tar.xz
tdsfrmath.tar.xz
tensor.tar.xz
texcount.tar.xz
texdef.tar.xz
texdiff.tar.xz
texdirflatten.tar.xz
tex-ewd.tar.xz
tex-gyre.tar.xz
texinfo.tar.xz
texloganalyser.tar.xz
tex-ps.tar.xz
textcase.tar.xz
textpath.tar.xz
thmbox.tar.xz
threeddice.tar.xz
thumbpdf.tar.xz
times.tar.xz
tipa.tar.xz
tools.tar.xz
ttfutils.tar.xz
turnstile.tar.xz
txfonts.tar.xz
typehtml.tar.xz
ukrhyph.tar.xz
ulem.tar.xz
umlaute.tar.xz
underscore.tar.xz
unicode-math.tar.xz
unisugar.tar.xz
url.tar.xz
utf8mex.tar.xz
utopia.tar.xz
variations.tar.xz
venn.tar.xz
wasysym.tar.xz
wasy.tar.xz
xcolor.tar.xz
xecjk.tar.xz
xecolour.tar.xz
Xecyr.tar.xz
xeindex.tar.xz
xepersian.tar.xz
xesearch.tar.xz
xetexconfig.tar.xz
xetex-def.tar.xz
xetexfontinfo.tar.xz
xetex-itrans.tar.xz
xetex-pstricks.tar.xz
xetex.tar.xz
xkeyval.tar.xz
xltxtra.tar.xz
xpackages.tar.xz
Xunicode.tar.xz
yhmath.tar.xz
ytableau.tar.xz
zapfchan.tar.xz
zapfding.tar.xz

Packages to check

texlive-bibtexextra
texlive-bin
texlive-core
texlive-fontsextra
texlive-formatsextra
texlive-games
texlive-genericextra
texlive-htmixml
texlive-humanities
texlive-langcjk
texlive-langcyrillic
texlive-langextra
texlive-langgreek
texlive-latexextra
texlive-music

e texlive-pictures

¢ texlive-plainextra

e texlive-pstricks

¢ texlive-publishers

¢ texlive-science

Resources to check

https://fedoraproject.org/wiki/Talk:Features/TeXLivelL egalAudit

Subtasks:
https://fedoraproject.org/wiki/Talk:Features/TeXLiveLegalAudit

Bug # 490: [texlive-core] ec fonts are nonfree

Freedom Issue # 969: [texlive-core] ec fonts needs repackaging instead of removing
Bug # 2151: [texlive-formatsextra] missing files

Freedom Issue # 2695: Re-evaluate texlive-bin

Freedom Issue # 2698: Re-evaluate [texlive-core]

Freedom Issue # 2699: Re-evaluate [texlive-latexextra]

Freedom Issue # 2700: Re-evaluate [texlive-fontsextra]

Bug # 2769: [texlive-core]: missing /usr/bin/mktexIsr

Bug # 2905: dollar sign \$ doesn't work in parabola texlive

Bug # 2937: texlive can't find some fonts during installation

Bug # 3164: [texlive-most]: error: command failed to execute correctly
Bug # 3617: [texlive-core] PANIC: unprotected error in call to Lua API"

not-a-bug
duplicate
info needed
in progress
in progress
confirmed
confirmed
fixed

fixed
duplicate
info needed

confirmed

Related issues:

Has duplicate Packages - Bug #3620: [texlive-fontsextra] Error occurs during ...
Has duplicate Packages - Bug #3619: [texlive-bin] Error occurs during install...
Has duplicate Packages - Bug #3618: [texlive-latexextra] Error occurs during ...

duplicate
duplicate
duplicate

History

#1 - 2016-03-24 08:51 AM - Anonymous

- Related to Freedom Issue #969: [texlive-core] ec fonts needs repackaging instead of removing added

#2 - 2016-03-24 08:59 AM - Anonymous

coadde opened a report about it to Arch

#3 - 2018-03-19 05:56 PM - soni

Is this an issue still? | don't want to have nonfree software on my system without realising

#4 - 2019-02-27 09:58 PM - bill-auger

- Status changed from open to forwarded upstream

it does not seem to be making much progress upstream

#5 - 2019-07-26 10:27 PM - bill-auger

i just bumped the upstream BR

#6 - 2020-04-14 05:39 PM - theova

| tried to update the texlive-* packages to the 2020 version. It takes me a long time to evaluate which changes were done in Parabola and why.

Once | figured this out, modifying the PKGBUILD for the new version was straight forward.

From https://www.tug.org/texlive/copying.htmi:

As a general statement, the TeX Live maintainers agree, within the shared purpose of working on TeX Live, with the general principles and

philosophy of the free software movement.

Therefore, to the best of our knowledge, all the software in TeX Live meets the requirements of the Free Software Foundation's definition of free
software, and the Debian Free Software Guidelines. In the rare cases of conflict, > we generally follow the FSF. Furthermore, the material in TeX

Live should not require nonfree software to be useful.

So texlive is commited to freedom :-)

| try to re-evaluate texlive-* and document my findings the comming days. | will start new issues for the different packages and link them to this issue.

I will report findings about non-free parts in the texlive mailing list to let other users/distributions from it.

Then it is hopefully easier to update the PKGBUILDs in the future.

Help, thougths and questions are welcome!

#7 - 2020-07-10 06:27 AM - bill-auger

- Related to deleted (Freedom Issue #969: [texlive-core] ec fonts needs repackaging instead of removing)
https://bugs.archlinux.org/task/48683
https://www.tug.org/texlive/copying.html

#8 - 2021-04-28 05:33 PM - bill-auger
- Related to Bug #2151 [texlive-formatsextra] missing files added

#9 - 2021-04-28 05:34 PM - bill-auger
- Related to Bug #2905: dollar sign \$ doesn't work in parabola texlive added

#10 - 2021-04-28 05:34 PM - bill-auger

- Related to Bug #2937 : texlive can't find some fonts during installation added

#11 - 2021-04-28 05:35 PM - bill-auger
- Related to deleted (Bug #2151 [texlive-formatsextra] missing files)

#12 - 2021-04-28 05:36 PM - bill-auger
- Related to deleted (Bug #2905: dollar sign \$ doesn't work in parabola texlive)

#13 - 2021-04-28 05:36 PM - bill-auger
- Related to deleted (Bug #2937: texlive can't find some fonts during installation)

#14 - 2022-03-11 02:54 AM - gap
What is the current status of the freedom verification?
| consider TeXLive extremely important and useful, and I'm sure we all don't want nonfree files hiding within it.

Due to the age of this issue, | suspect the audits done will be outdated now.
Is TeXLive overdue another freedom audit?

#15 - 2023-05-30 09:25 PM - bill-auger
there was some movement in arch this week - im not so familiar with this issue; so dunno how many or if any freedom issues it solved though
related:

https://bugs.archlinux.org/task/48683
https://wiki.parabola.nu/TeXLive_freedom_verification

#16 - 2023-05-31 01:17 PM - nona

They closed it by:

Closed by Antonio Rojas (aroijas)

Monday, 29 May 2023, 13:02 GMT

Reason for closing: None

Additional comments about closing: We no longer use custom tarballs and get the source directly from tug svn
comparing that to the title

generated files without source, not all files have license, missing files, etc

to me, it translates to: whatever is wrong, it's no longer in the packaging.

Also related: https://labs.parabola.nu/issues/2698

#17 - 2023-06-18 10:16 AM - bill-auger
a subtle twist: according with upstream re-organization of the code-base,
the new “texlive-basic’ replaces the old “texlive-core’, many of the texlive-core contents (including language specific files) are now split between

different packages.

https://archlinux.org/news/tex-live-package-reorganization/

#18 - 2024-03-29 08:01 AM - bill-auger

- Has duplicate Bug #3620: [texlive-fontsextra] Error occurs during installation added

#19 - 2024-03-29 08:01 AM - bill-auger
- Has duplicate Bug #3619: [texlive-bin] Error occurs during installation added
https://bugs.archlinux.org/task/48683
https://wiki.parabola.nu/TeXLive_freedom_verification
https://labs.parabola.nu/issues/2698
https://archlinux.org/news/tex-live-package-reorganization/

#20 - 2024-03-29 08:01 AM - bill-auger

- Has duplicate Bug #3618: [texlive-latexextra] Error occurs during installation added

#21 - 2024-03-29 08:02 AM - bill-auger
- Has duplicate Bug #3617 [texlive-core] PANIC: unprotected error in call to Lua API" added

#22 - 2024-03-29 10:23 AM - nona

Following from https:/labs.parabola.nu/issues/3617, texdoc failed for me with a similar error. (It is not completely harmless.) | was able to open the
pdf provided by the package, but | will test with something else tonight.

#23 - 2024-03-29 11:36 PM - bill-auger
- Has duplicate deleted (Bug #3617: [texlive-core] PANIC: unprotected error in call to Lua API")
https://labs.parabola.nu/issues/3617
http://www.tcpdf.org

